Package com.pixelmed.doseocr

# Class GenerateRadiationDoseStructuredReport

java.lang.Object
com.pixelmed.doseocr.GenerateRadiationDoseStructuredReport

public class GenerateRadiationDoseStructuredReport extends Object

## Constructor Summary

Constructors
Constructor
Description
`GenerateRadiationDoseStructuredReport()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`createContextForNewRadiationDoseStructuredReportFromExistingInstance(AttributeList list, CTDose ctDose, CTIrradiationEventDataFromImages eventDataFromImages)`
`static CTDose`
`generateDoseReportInformationFromFiles(Vector paths)`
Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a radiation dose SR.
`static final void`
`main(String[] arg)`
Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a radiation dose SR.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateRadiationDoseStructuredReport

public GenerateRadiationDoseStructuredReport()

## Method Details

### generateDoseReportInformationFromFiles

public static CTDose generateDoseReportInformationFromFiles(Vector paths)

Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a radiation dose SR.

Currently assumes that there will be only one source of dose of dose information amongst the supplied files (i.e., one dose screen) and returns one `CTDose` instance; if there are multiple dose screens which is encountered first will be used. Does not currently account for multi-page dose screens but may do some day.

Ignores any existing Radiation Dose SR files (whether supplied by the vendor or created by PixelMed).

Parameters:
  `paths` - a Vector of String paths to a DICOMDIR or folder or list of files containing dose screens, reports and acquired CT slices
Returns:
  a `CTDose` object that contains the information to extract as an `StructuredReport` or `AttributeList`

### createContextForNewRadiationDoseStructuredReportFromExistingInstance

public static void createContextForNewRadiationDoseStructuredReportFromExistingInstance(AttributeList list, CTDose ctDose, CTIrradiationEventDataFromImages eventDataFromImages)

### main

public static final void main(String[] arg)

Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a radiation dose SR.

Parameters:
  `arg` - one or more paths to a DICOMDIR or folder or dose screens, reports and acquired CT slices, followed by a single filename for the generated RDSR file, or "-" if none